Subject: [PATCH] ARM: kirkwood: remove lagacy clk workarounds

From: [email-masked] (Ezequiel Garcia)
Date: Thu, 31 Oct 2013 20:54:43 -0300

On Fri, Oct 18, 2013 at 01:45:45PM -0400, Jason Cooper wrote:
> On Fri, Oct 18, 2013 at 07:43:54PM +0200, Sebastian Hesselbarth wrote:
> > On 10/18/2013 07:27 PM, Sebastian Hesselbarth wrote:
> > >On 10/18/2013 06:17 PM, Ezequiel Garcia wrote:
> > >>On Fri, Oct 18, 2013 at 10:47:41AM -0400, Jason Cooper wrote:
> > >>>On Fri, Oct 18, 2013 at 01:54:13PM +0200, Sebastian Hesselbarth wrote:
> > >>>>With legacy devices converted to DT and a proper ethernet MAC
> > >>>>workaround, we can now remove the clk workarounds for legacy
> > >>>>devices. While at it, also cleanup the list of includes.
> > >>>>
> > >>>>Signed-off-by: Sebastian Hesselbarth <[email-masked]>
> > >>>>---
> > >>>>As a follow-up patch for latest mvebu PRs, this patch is based on
> > >>>>  git://git.infradead.org/linux-mvebu.git tags/soc-3.13-2
> > >>>>
> > >>>>Cc: Jason Cooper <[email-masked]>
> > >>>>Cc: Andrew Lunn <[email-masked]>
> > >>>>Cc: Russell King <[email-masked]>
> > >>>>Cc: Kevin Hilman <[email-masked]>
> > >>>>Cc: linux-arm-kernel at lists.infradead.org
> > >>>>Cc: linux-kernel at vger.kernel.org
> > >>>>---
> > >>>>  arch/arm/mach-kirkwood/board-dt.c |   42
> > >>>>++----------------------------------
> > >>>>  1 files changed, 3 insertions(+), 39 deletions(-)
> > >>>
> > >>>Applied to mvebu/soc
> > >>>
> > >>
> > >>Weird: I've tried to do this clean-up myself and my usual tests with
> > >>network
> > >>built as a module failed somehow. Maybe I missed something and did
> > >>something
> > >>stupid?
> > >
> > >Ezequiel,
> > >
> > >you need commits
> > >b5d82db net: mv643xx_eth: fix missing device_node for port devices
> > >f564412 net: mv643xx_eth: fix orphaned statistics timer crash
> > >041b4dd net: mv643xx_eth: update statistics timer from timer context only
> > >
> > >from git://git.kernel.org/pub/scm/linux/kernel/git/davem/net.git master
> > >
> > >Those are the three net driver fixes and have not yet been pulled into
> > >mainline linux.
> > >
> > >Can you re-test with those three applied (or you can just merge in
> > >above master)? I am compiling right now and will report.
> > 
> > With mvebu/for-next and net/master merged in,
> > modular mvmdio and mv643xx_eth on Kirkwood Dockstar:
> > 
> > Tested-by: Sebastian Hesselbarth <sebastian.hesselbarth@gmail>
> > 
> > IOW, works. I hope you can confirm this, too.

Hm... Sorry for the huge delay, I've only had time just now to test this:

Tested-by: Ezequiel Garcia <[email-masked]>

Although I realise it's too late for v3.13.

Nice work Sebastian!
-- 
Ezequiel Garc?a, Free Electrons
Embedded Linux, Kernel and Android Engineering
http://free-electrons.com